Package org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotWarningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotWarningException

All Implemented Interfaces:
  `Serializable`

    public class SnapshotWarningException
    extends IgniteCheckedException

Snapshot operation warning. Warnings do not interrupt snapshot process but raise exception at the end to make the operation status 'not OK' if no other error occurred.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnapshotWarningException​(String wrnMsg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnapshotWarningException

    public SnapshotWarningException​(String wrnMsg)